$today-bg-color: #68aadc;
$today-border-color: #3a85bc;
$days-header-back-color: #959595;
$prev-next-month-color: #a2a2a2;
$button-border-color: #b5b5b5;
$button-back-color: #fff;
$weekend-color: #db2525;
$prev-next-weekend-color: #c38585;

* {
	box-sizing: border-box;
}
:after, :before {
  box-sizing: border-box;
}
.jdp {
  position: absolute;
  direction: ltr;
  top: 0;
  left: 0;
  z-index: 1050;
  // display: none;
	// visibility: hidden;
	opacity: 0;
  padding: 4px;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 1;
  text-align: left;
  text-align: start;
  text-decoration: none;
  text-shadow: none;
  text-transform: none;
  letter-spacing: normal;
  word-break: normal;
  word-spacing: normal;
  word-wrap: normal;
  white-space: normal;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ccc;
  border: 1px solid rgba(0,0,0,.2);
  border-radius: 6px;
  box-shadow: 0 5px 10px rgba(0,0,0,.2);
  line-break: auto;
	&.in {
		// visibility: visible;
		opacity: 1;
	}
	&.animated {
		transition: opacity 200ms ease-in-out;
	}
	&.top {
    margin-top: -10px;
		.arrow {
			bottom: -11px;
	    left: 50%;
	    margin-left: -11px;
	    border-top-color: #999;
	    border-top-color: rgba(0,0,0,.25);
	    border-bottom-width: 0;
	    &:after {
  	    bottom: 1px;
		    margin-left: -10px;
		    content: " ";
		    border-top-color: #fff;
		    border-bottom-width: 0;
	    }
		}
	}
	&.right {
		margin-left: 10px;
		.arrow{
	    top: 50%;
	    left: -11px;
	    margin-top: -11px;
	    border-right-color: #999;
	    border-right-color: rgba(0,0,0,.25);
	    border-left-width: 0;
	    &:after {
	    	bottom: -10px;
		    left: 1px;
		    content: " ";
		    border-right-color: #fff;
		    border-left-width: 0;
	    }
		}
	}
	&.bottom {
		margin-top: 10px;
		.arrow {
	    top: -11px;
	    left: 50%;
	    margin-left: -11px;
	    border-top-width: 0;
	    border-bottom-color: #999;
	    border-bottom-color: rgba(0,0,0,.25);
			&:after {
	      top: 1px;
		    margin-left: -10px;
		    content: " ";
		    border-top-width: 0;
		    border-bottom-color: #fff;
			}
		}
	}
	&.left {
		margin-left: -10px;
		.arrow {
	    top: 50%;
	    right: -11px;
	    margin-top: -11px;
	    border-right-width: 0;
	    border-left-color: #999;
	    border-left-color: rgba(0,0,0,.25);
	    &:after {
		    right: 1px;
		    bottom: -10px;
		    content: " ";
		    border-right-width: 0;
		    border-left-color: #fff;
	    }
		}
	}
  .arrow {
    border-width: 11px;
  	position: absolute;
    display: block;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
	  &:after {
	  	position: absolute;
	    display: block;
	    width: 0;
	    height: 0;
	    border-color: transparent;
	    border-style: solid;
      content: "";
    	border-width: 10px;
	  }
  }
  .content {
		position: relative;
		width: 100%;
	  overflow: hidden;
		.button {
			border: 1px solid $button-border-color;
			border-radius: 4px;
			background: $button-back-color;
			padding: 4px;
		}
		.funcs {
			width: 100%;
			text-align: center;
			display: flex;
			.month, .year {
				width: 50%;
				display: inline-block;
				padding: 4px;
				cursor: pointer;
				font-weight: 600;
			}
		}
		.cell {
			width: 14.2857%;
			text-align: center;
			display: inline-block;
			margin: 1px 0;
		}
		.head {
			width: 100%;
			display: flex;
			.cell {
				background: #aaa;
				font-size: 13px;
				color: white;
				font-weight: 700;
			}
		}
		.days {
			width: 100%;
			display: flex;
			flex-wrap: wrap;
			.cell {
				border-radius: 3px;
				cursor: pointer;
				border: 1px solid transparent;
				position: relative;
				&.fade {
					opacity: 0;
					transition: opacity 100ms ease;
				}
				&.in {
					opacity: 1;
				}
				&:before {
					content: '';
			    position: absolute;
			    top: 0px;
			    bottom: 0px;
			    left: 1px;
			    right: 1px;
			    border-radius: 3px;
			    z-index: -1;
					transition: background 150ms linear;
				}
				&:hover:not(.disabled) {
					&:before {
						content: '';
						background-color: #e9e9e9;
					}
				}
				&.disabled {
					color: #ccc;
					cursor: default;
					&:hover {
						background-color: transparent;
					}
				}
				&.weekend {
					color: $weekend-color;
				}
				&.today, &.today:hover {
					color: white;
					&:before {
						content: '';
						background-color: $today-bg-color;
						color: white;
						border-color: $today-border-color;
					}
				}
				&.current {
    			&:before {
    				content: '';
    				background: rgb(211, 234, 251);
			    	border: 1px solid $today-border-color;
    			}
				}
				&.prev, &.next {
					color: $prev-next-month-color;
					&.weekend {
						color: $prev-next-weekend-color;
					}
				}
			}
		}
		.footer-btns {
			width: 100%;
			padding-top: 4px;
			display: flex;
			.col {
				flex-grow: 1;
				&.right {
					text-align: right;
				}
				&.left {
					text-align: left;
				}
			}
			.button-today {
				background-color: $today-bg-color;
				border-color: $today-border-color;
				color: white;
			}
			.button-toggle {
				width: 62px;
				height: 24px;
				position: relative;
				border: 1px solid $button-border-color;
				background: $button-back-color;
				-webkit-appearance: none;
				text-align: right;
				padding: 6px 4px;
				border-radius: 4px;
				transition: all 150ms linear;
				cursor: pointer;
				font-size: 12px;
				&:focus {
					outline: none;
				}
				&:after {
					content: '||';
					display: block;
					position: absolute;
					width: 22px;
					height: 24px;
					background: #e7e7e7;
					top: -1px;
					left: -1px;
					border-radius: 4px;
					transition: inherit;
					border: 1px solid $button-border-color;
					text-align: center;
			    line-height: 20px;
			    font-size: 14px;
			    font-weight: 700;
			    color: #ccc;
				}
			}
		}
		.month-select, .year-select {
		  position: absolute;
		  right: 0;
		  top: 0;
		  bottom: 0;
		  left: 0;
		  width: 100%;
		  background: rgba(255,255,255,.7);
		  transform: translateY(-100%);
		  opacity: 0;
		  float: inherit;
		  display: flex;
		  align-items: center;
		  justify-content: center;
		  .month-btn, .year-btn {
				display: inline-block;
				text-align: center;
				cursor: pointer;
				&.current {
					color: $today-border-color;
					border-color: $today-border-color;
					border-width: 2px;
					margin-top: -1px;
				}
				&.disabled {
					color: #ccc;
					cursor: default;
				}
		  }
		}
		.month-select{
		  .months-container {
				width: 100%;
			  .season {
			  	display: block;
			  	width: 100%;
			  	float: inherit;
			  	margin-bottom: 5px;
			  	&:last-child {
						margin-bottom: 0;
			  	}
		  	}
		  }
	  	.month-btn {
				width: calc(33.333% - 3.333px);
				&:last-child {
					margin-left: 0 !important;
					margin-right: 0 !important;
				}
	  	}
	  }
	  .year-select {
  		.year-pagination {
		    display: inline-block;
		    width: 30px;
		    background-color: rgba(255,255,255, 0.8);
		    height: 100%;
		    position: relative;
		    opacity: .6;
		    transition: opacity 200ms linear;
		    cursor: pointer;
		    &:hover {
		    	opacity: 1;
		    }
		    &:after {
		    	background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz48c3ZnIHdpZHRoPSIxNzkyIiBoZWlnaHQ9IjE3OTIiIHZpZXdCb3g9IjAgMCAxNzkyIDE3OTIiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZD0iTTEzNjMgODc3bC03NDIgNzQycS0xOSAxOS00NSAxOXQtNDUtMTlsLTE2Ni0xNjZxLTE5LTE5LTE5LTQ1dDE5LTQ1bDUzMS01MzEtNTMxLTUzMXEtMTktMTktMTktNDV0MTktNDVsMTY2LTE2NnExOS0xOSA0NS0xOXQ0NSAxOWw3NDIgNzQycTE5IDE5IDE5IDQ1dC0xOSA0NXoiIGZpbGw9IiM1NTUiLz48L3N2Zz4=);
		    	background-size: 15px;
		    	position: absolute;
		    	left: 50%;
		    	top: 50%;
    	    width: 15px;
			    height: 15px;
			    margin-left: -7.5px;
			    margin-top: -7.5px;
		    	content: ' ';
		    }
		    &.disabled {
		    	cursor: default;
		    }
  		}
	  	.years-container {
				width: 100%;
				display: flex;
				flex-wrap: wrap;
				.year-btn {
					width: calc(25% - 6.25px);
					margin-right: 5px;
					margin-bottom: 3px;
					margin-top: 3px;
				}
	  	}
	  	.year-input {
	  		position: absolute;
	  		bottom: 0;
	  		input {
	  			width: 80px;
	  			height: 26px;
	  			padding: 4px 6px;
	  			text-align: center;
	  			border-radius: 4px;
	  			border: 1px solid $button-border-color;
	  			font-size: 14px;
	  			&:focus {
	  				border-color: $today-bg-color;
						outline: none;
	  			}
	  		}
	  	}
	  }
		.month-select.in, .year-select.in {
			transform: translateY(0);
			opacity: 1;
		}
	}
	&.rectangle {
		&.sm {
			width: 250px;
		}
		&.md {
			width: 350px;
		}
		&.lg {
			width: 450px;
		}
	}
	&.square {
		&.sm {
			width: 220px;
		}
		&.md {
			width: 260px;
		}
		&.lg {
			width: 310px;
		}
	}
  &.sm {
		.content {
			.head {
				.cell {
					padding: 3px 0;
				}
			}
			.days {
				.cell {
					padding: 2px 0;
				}
			}
			.footer-btns {
				.button {
					padding: 3px 6px;
				}
			}
			.month-btn, .year-btn {
				height: 35px;
				line-height: 22px;
			}
		}
  }
	&.md {
		.content {
			.head {
				.cell {
					padding: 5px 0;
				}
			}
			.days {
				.cell {
					padding: 5px 0;
				}
			}
			.footer-btns {
				.button {
					padding: 4px 8px;
				}
			}
			.month-btn, .year-btn {
				height: 40px;
				line-height: 28px;
			}
		}
	}
	&.lg {
		.content {
			.head {
				.cell {
					padding: 5px 0;
				}
			}
			.days {
				.cell {
					padding: 7px 0;
				}
			}
			.footer-btns {
				.button {
					padding: 6px 10px;
				}
			}
			.month-btn, .year-btn {
				height: 45px;
				line-height: 36px;
			}
		}
	}
	&.jalaali {
		.content {
			direction: rtl;
			.button {
				font-family: inherit;
			}
			.head {
				.cell {
					&:first-child {
						border-top-right-radius: 4px;
						border-bottom-right-radius: 4px;
					}
					&:last-child {
						border-top-left-radius: 4px;
						border-bottom-left-radius: 4px;
					}
				}
			}
			.month-select {
				.month-btn {
					margin-left: 5px;
				}
			}
			.year-select {
				.year-pagination {
			    &.next {
						&:after {
							transform: rotateZ(180deg);
						}
		    	}
				}
			}
			.footer-btns {
				.button-toggle {
					&:after {
						left: -1px;
					}
				}
			}
		}
	}
	&.gregorian {
		.content {
			direction: ltr;
			.func {
				flex-direction: row-reverse;
			}
			.head {
				.cell {
					&:first-child {
						border-top-left-radius: 4px;
						border-bottom-left-radius: 4px;
					}
					&:last-child {
						border-top-right-radius: 4px;
						border-bottom-right-radius: 4px;
					}
				}
			}
			.month-select {
				.month-btn {
					margin-right: 5px;
				}
			}
			.year-select {
				.year-pagination {
			    &.prev {
						&:after {
							transform: rotateZ(180deg);
						}
		    	}
				}
			}
			.footer-btns {
				flex-direction: row-reverse;
				.button-toggle {
					text-align: left;
					&:after {
						left: calc(100% - 21px);
					}
				}
			}
		}
	}
	&.animated {
		.content {
			.month-select, .year-select {
				transition: all .2s linear;
			}
		}
	}
}
